import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'smart-alarm-modal',
  templateUrl: './alarm-modal.component.html',
  styles: []
})
export class AlarmModalComponent implements OnInit {

    modalTitle = '添加告警';
    tabNum = 0;
    isShow = false;

    sendOption = [
            { label: '邮件', value: 'Apple', checked: false },
            { label: '短信', value: 'Pear', checked: false },
            { label: '微信', value: 'Orange', checked: false }
    ];

    validateForm;
  constructor() { }

  ngOnInit() {
      this.validateForm = {
          name:null,
          alertGroupId:null,

      };
  }

  showModal(data){
    this.isShow = true;
  }

    handleEditCancel(){
      this.isShow = false;
    }

    tabsChange(index){
      this.tabNum = index;
    }

    handEditleOk(){
      this.isShow = false;
    }

}
